Skip to main content
PATCH
/
api
/
contacts
/
{id}
Update contact
curl --request PATCH \
  --url https://api.agentixx.io/api/contacts/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "displayName": "Jane Doe",
  "tags": [
    "vip",
    "active"
  ]
}
'
{
  "ok": true
}

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-tenant-id
string
header
required

Tenant/workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json

Update contact fields

displayName
string | null
waId
string
language
string
optedOut
boolean
fields
object
tags
string[]

Response

Contact updated

ok
boolean
required